### Enumeration

# GLib UriError

since: 2.66

#### Declaration

    error-domain GLib.UriError

#### Description [src]

Error codes returned by `GUri` methods.

Available since: 2.66

#### Members

Name | Description
--- | ---
`G_URI_ERROR_FAILED` | Generic error if no more specific error is available. See the error message for details.
`G_URI_ERROR_BAD_SCHEME` | The scheme of a URI could not be parsed.
`G_URI_ERROR_BAD_USER` | The user/userinfo of a URI could not be parsed.
`G_URI_ERROR_BAD_PASSWORD` | The password of a URI could not be parsed.
`G_URI_ERROR_BAD_AUTH_PARAMS` | The authentication parameters of a URI could not be parsed.
`G_URI_ERROR_BAD_HOST` | The host of a URI could not be parsed.
`G_URI_ERROR_BAD_PORT` | The port of a URI could not be parsed.
`G_URI_ERROR_BAD_PATH` | The path of a URI could not be parsed.
`G_URI_ERROR_BAD_QUERY` | The query of a URI could not be parsed.
`G_URI_ERROR_BAD_FRAGMENT` | The fragment of a URI could not be parsed.